/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define([],function(){"use strict";var R={};R.render=function(r,o){var a=r;if(!o.aRBs){return;}var C=o.getColumns();var e=o.getEnabled();if(e){var I=o.getItems();e=false;for(var i=0;i<I.length;i++){if(I[i].getEnabled()){e=true;break;}}}a.write("<DIV");a.writeControlData(o);a.addClass("sapUiRbG");if(C>1){if(C==o.aRBs.length){a.addClass("sapUiRbG1Row");}else{a.addClass("sapUiRbGTab");if(o.getWidth()&&o.getWidth()!=''){a.addClass("sapUiRbGTabFlex");}}}if(o.getWidth()&&o.getWidth()!=''){a.addStyle("width",o.getWidth());}if(o.getTooltip_AsString()){a.writeAttributeEscaped("title",o.getTooltip_AsString());}if(e){a.writeAttribute('tabindex','0');}else{a.writeAttribute('tabindex','-1');}a.writeAccessibilityState(o,{role:"radiogroup",invalid:o.getValueState()==sap.ui.core.ValueState.Error,disabled:!o.getEditable()});a.writeClasses();a.writeStyles();a.write(">");for(var c=0;c<C;c++){if(C>1&&C!=o.aRBs.length){a.write("<DIV");a.addClass("sapUiRbGCol");a.writeClasses();a.write(">");}for(var i=c;i<o.aRBs.length;i=i+C){a.renderControl(o.aRBs[i]);}if(C>1&&C!=o.aRBs.length){a.write("</DIV>");}}if(C>1&&C!=o.aRBs.length){a.write('<DIV class="sapUiRbGDummy"> </DIV>');}a.write("</DIV>");};return R;},true);
